import { Room } from "matrix-js-sdk/src/matrix";
import { NotificationState } from "./NotificationState";
import { FetchRoomFn } from "./ListNotificationState";
export declare class SpaceNotificationState extends NotificationState {
    private getRoomFn;
    rooms: Room[];
    private states;
    constructor(getRoomFn: FetchRoomFn);
    get symbol(): string | null;
    setRooms(rooms: Room[]): void;
    getFirstRoomWithNotifications(): string | undefined;
    destroy(): void;
    private onRoomNotificationStateUpdate;
    private calculateTotalState;
}
